ランタイム: Mix::Dynamics::IKinematicCharacter Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Dynamics::IKinematicCharacter Class Referenceabstract

キネマティックキャラクターインターフェース More...

`#include <IKinematicCharacter.h>`

Inheritance diagram for Mix::Dynamics::IKinematicCharacter:
[legend]
Collaboration diagram for Mix::Dynamics::IKinematicCharacter:
[legend]

## Public Member Functions

virtual Float32 | GetHeight (void) const =0
| 高さを取得します More...
virtual Float32 | GetRadius (void) const =0
| 半径を取得します More...
virtual Float32 | GetGravity (void) const =0
| 重力を取得します More...
virtual void | SetGravity (Float32 gravity)=0
| 重力を設定します More...
virtual Float32 | GetMaxFallSpeed (void) const =0
| 最大落下速度を取得します More...
virtual void | SetMaxFallSpeed (Float32 speed)=0
| 最大落下速度を設定します More...
virtual Float32 | GetInitalJumpSpeed (void) const =0
| ジャンプ時の初速を取得します More...
virtual void | SetInitalJumpSpeed (Float32 speed)=0
| ジャンプ時の初速を設定します More...
virtual Float32 | GetStepHeight (void) const =0
| 上れる段差の高さを取得します More...
virtual void | SetStepHeight (Float32 height)=0
| 上れる段差の高さを設定します More...
virtual Float32 | GetSlopeLimit (void) const =0
| 上れる勾配の角度を取得します More...
virtual void | SetSlopeLimit (Float32 rad)=0
| 上れる勾配の角度を設定します More...
virtual Float32 | GetActiveThreshold (void) const =0
| 活動していると判断する速度を取得します More...
virtual void | SetActiveThreshold (Float32 threshold)=0
| 活動していると判断する速度を設定します More...
virtual Float32 | GetDeactivationElapsedTime (void) const =0
| 非活動状態と判断する経過時間を取得します More...
virtual void | SetDeactivationElapsedTime (Float32 elapsedTime)=0
| 非活動状態と判断する経過時間を設定します More...
virtual const Mix::Vector3 & | GetLinearVelocity (void) const =0
| 移動速度を取得します More...
virtual void | SetLinearVelocity (const Mix::Vector3 &velocity)=0
| 移動速度を設定します More...
virtual Boolean | OnGround (void) const =0
| 接地しているかどうかを確認します More...
virtual Boolean | IsActive (void) const =0
| 活動しているかどうかを確認します More...
virtual void | Jump (void)=0
| ジャンプします More...
Public Member Functions inherited from Mix::Dynamics::IObject
virtual Mix::Dynamics::IObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | GetShape (Mix::Dynamics::IShape **ppShape)=0
| シェイプを取得します More...
virtual Float32 | GetShapeMargin (void) const =0
| シェイプの衝突マージンを取得します More...
virtual void | SetShapeMargin (Float32 margin)=0
| シェイプの衝突マージンを設定します More...
virtual UInt16 | GetFilterGroup (void) const =0
| フィルターグループを取得します More...
virtual void | SetFilterGroup (UInt16 filterGroup)=0
| フィルターグループを設定します More...
virtual UInt16 | GetFilterMask (void) const =0
| フィルターマスクを取得します More...
virtual void | SetFilterMask (UInt16 filterMask)=0
| フィルターマスクを設定します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (void) const =0
| マテリアルを取得します More...
virtual void | SetMaterial (const Mix::Dynamics::MATERIAL &material)=0
| マテリアルを設定します More...
virtual Mix::Quaternion | GetWorldRotation (void) const =0
| ワールドの回転を取得します More...
virtual Mix::Vector3 | GetWorldPosition (void) const =0
| ワールドの位置を取得します More...
virtual Mix::Matrix4x4 | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual void | SetWorldRotation (const Mix::Quaternion &rot)=0
| ワールドの回転を設定します More...
virtual void | SetWorldPosition (const Mix::Vector3 &pos)=0
| ワールドの位置を設定します More...
virtual void | SetWorldTransform (const Mix::Quaternion &rot, const Mix::Vector3 &pos)=0
| ワールドトランスフォームを設定します More...
virtual Boolean | IsInWorld (void) const =0
| ワールドに配置されているかどうかを確認します More...
virtual Mix::Geometry::AABB | GetBounds (void) const =0
| 境界を取得します More...
virtual Boolean | AddListener (Mix::Dynamics::IObjectListener *pListener)=0
| リスナーを追加します More...
virtual void | RemoveListener (Mix::Dynamics::IObjectListener *pListener)=0
| リスナーを削除します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
virtual UInt32 | Debug_GetDrawFlags (void) const =0
| デバッグ : 描画フラグを取得します More...
virtual void | Debug_SetDrawFlags (UInt32 flags)=0
| デバッグ : 描画フラグを設定します More...
virtual Float32 | Debug_GetDrawAxisScaling (void) const =0
| デバッグ : 軸を描画する際のを取得します More...
virtual void | Debug_SetDrawAxisScaling (Float32 scaling)=0
| デバッグ : 軸を描画する際のスケールを設定します More...
virtual void | Debug_Draw (Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer, Float32 opacity=1.0f)=0
| デバッグ描画をします More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IKinematicCharacter (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Dynamics::IObject
virtual | ~IObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Dynamics::IObject
enum | TYPE { STATIC_PLANE = 0, STATIC_MESH = 1, RIGIDBODY = 2, SENSOR = 3, KINEMATIC_CHARACTER = 4, VEHICLE = 5 }
| タイプ列挙定数 More...

## Detailed Description

キネマティックキャラクターインターフェース

Note
  SetWorldRotation SetWorldTransform などのの回転は影響しませんので、
  ユーザーが自由に使用して結構です。

## Constructor & Destructor Documentation

virtual Mix::Dynamics::IKinematicCharacter::~IKinematicCharacter | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Float32 Mix::Dynamics::IKinematicCharacter::GetHeight | ( | void |  | ) | const

pure virtual

高さを取得します

Returns
  高さを返します

virtual Float32 Mix::Dynamics::IKinematicCharacter::GetRadius | ( | void |  | ) | const

pure virtual

半径を取得します

Returns
  半径を返します

virtual Float32 Mix::Dynamics::IKinematicCharacter::GetGravity | ( | void |  | ) | const

pure virtual

重力を取得します

Returns
  重力を返します

virtual void Mix::Dynamics::IKinematicCharacter::SetGravity | ( | Float32 | gravity | ) |

pure virtual

重力を設定します

Parameters

  [in] | gravity | 重力

virtual Float32 Mix::Dynamics::IKinematicCharacter::GetMaxFallSpeed | ( | void |  | ) | const

pure virtual

最大落下速度を取得します

Returns
  最大落下速度を返します

virtual void Mix::Dynamics::IKinematicCharacter::SetMaxFallSpeed | ( | Float32 | speed | ) |

pure virtual

最大落下速度を設定します

Parameters

  [in] | speed | 最大落下速度( 0.0f 以上 )

virtual Float32 Mix::Dynamics::IKinematicCharacter::GetInitalJumpSpeed | ( | void |  | ) | const

pure virtual

ジャンプ時の初速を取得します

Returns
  ジャンプ時の初速を返します

virtual void Mix::Dynamics::IKinematicCharacter::SetInitalJumpSpeed | ( | Float32 | speed | ) |

pure virtual

ジャンプ時の初速を設定します

Parameters

  [in] | speed | ジャンプ時の初速( 0.0f 以上 )

virtual Float32 Mix::Dynamics::IKinematicCharacter::GetStepHeight | ( | void |  | ) | const

pure virtual

上れる段差の高さを取得します

Returns
  段差の高さを返します

virtual void Mix::Dynamics::IKinematicCharacter::SetStepHeight | ( | Float32 | height | ) |

pure virtual

上れる段差の高さを設定します

Parameters

  [in] | height | 段差の高さ

Note
  このメソッドは設定を反映するために、内部オブジェクトを作り直していますので、
  頻繁に設定の変更をするとパフォーマンスに影響を及ぼします。

virtual Float32 Mix::Dynamics::IKinematicCharacter::GetSlopeLimit | ( | void |  | ) | const

pure virtual

上れる勾配の角度を取得します

Returns
  上れる勾配の角度の角度を返します

virtual void Mix::Dynamics::IKinematicCharacter::SetSlopeLimit | ( | Float32 | rad | ) |

pure virtual

上れる勾配の角度を設定します

Parameters

  [in] | rad | 勾配の角度(ラジアン単位)

virtual Float32 Mix::Dynamics::IKinematicCharacter::GetActiveThreshold | ( | void |  | ) | const

pure virtual

活動していると判断する速度を取得します

Returns
  速度を返します

virtual void Mix::Dynamics::IKinematicCharacter::SetActiveThreshold | ( | Float32 | threshold | ) |

pure virtual

活動していると判断する速度を設定します

Parameters

  [in] | threshold | 速度( 0.0f 以上 )

virtual Float32 Mix::Dynamics::IKinematicCharacter::GetDeactivationElapsedTime | ( | void |  | ) | const

pure virtual

非活動状態と判断する経過時間を取得します

Returns
  経過時間を返します

virtual void Mix::Dynamics::IKinematicCharacter::SetDeactivationElapsedTime | ( | Float32 | elapsedTime | ) |

pure virtual

非活動状態と判断する経過時間を設定します

Parameters

  [in] | elapsedTime | 経過時間( 0.0f以上 )

virtual const Mix::Vector3& Mix::Dynamics::IKinematicCharacter::GetLinearVelocity | ( | void |  | ) | const

pure virtual

移動速度を取得します

Returns
  移動速度を表す Mix::Vector3 クラスを返します

virtual void Mix::Dynamics::IKinematicCharacter::SetLinearVelocity | ( | const Mix::Vector3 & | velocity | ) |

pure virtual

移動速度を設定します

Parameters

  [in] | velocity | 移動速度を表す Mix::Vector3 クラス

virtual Boolean Mix::Dynamics::IKinematicCharacter::OnGround | ( | void |  | ) | const

pure virtual

接地しているかどうかを確認します

Returns
  接地している場合は True を返します

virtual Boolean Mix::Dynamics::IKinematicCharacter::IsActive | ( | void |  | ) | const

pure virtual

活動しているかどうかを確認します

Returns
  活動している場合は True を返します

virtual void Mix::Dynamics::IKinematicCharacter::Jump | ( | void |  | ) |

pure virtual

ジャンプします

The documentation for this class was generated from the following file:

- Mix/Dynamics/IKinematicCharacter.h